Loading...
Searching...
No Matches
BALL::RuleProcessor Class Reference
Molecular Modeling » Molecular Mechanics » Rule-based parameter assignment

`#include <BALL/MOLMEC/COMMON/ruleProcessor.h>`

Inheritance diagram for BALL::RuleProcessor:

## Public Member Functions

| RuleProcessor ()
| RuleProcessor (INIFile &file, const String &prefix)
| RuleProcessor (const RuleProcessor &rule_processor)
| ~RuleProcessor ()
void | clear ()
void | destroy ()
Accessors
bool | initialize (INIFile &file, const String &prefix)
Assignment
const RuleProcessor & | operator= (const RuleProcessor &rule_processor)
void | set (const RuleProcessor &rule_processor)
Processor related methods
virtual bool | start ()
virtual bool | finish ()
String | evaluate (const Atom &atom)
Public Member Functions inherited from BALL::UnaryProcessor< Atom >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual Processor::Result | operator() (Atom &)

## Debugging and Diagnostics

RuleEvaluator | evaluator_
bool | valid_
bool | isValid () const
void | dump (std::ostream &s=std::cout) const

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

Rule Processor class.

Definition at line 26 of file ruleProcessor.h.

## Constructor & Destructor Documentation

## RuleProcessor() [1/3]

BALL::RuleProcessor::RuleProcessor | ( |  | ) |

Constructors and Destructors Default constructor

## RuleProcessor() [2/3]

BALL::RuleProcessor::RuleProcessor | ( | INIFile & | file,
|  | const String & | prefix )

Detailed constructor

## RuleProcessor() [3/3]

BALL::RuleProcessor::RuleProcessor | ( | const RuleProcessor & | rule_processor | ) |

Copy constructor

## ~RuleProcessor()

BALL::RuleProcessor::~RuleProcessor | ( |  | ) |

Destructor

## Member Function Documentation

## clear()

void BALL::RuleProcessor::clear | ( |  | ) |

## destroy()

void BALL::RuleProcessor::destroy | ( |  | ) |

## dump()

void BALL::RuleProcessor::dump | ( | std::ostream & | s = std::cout | ) | const

## evaluate()

String BALL::RuleProcessor::evaluate | ( | const Atom & | atom | ) |

## finish()

virtual bool BALL::RuleProcessor::finish | ( |  | ) |

virtual

finish method

Reimplemented from BALL::UnaryProcessor< Atom >.

## initialize()

bool BALL::RuleProcessor::initialize | ( | INIFile & | file,
|  | const String & | prefix )

## isValid()

bool BALL::RuleProcessor::isValid | ( |  | ) | const

## operator=()

const RuleProcessor & BALL::RuleProcessor::operator= | ( | const RuleProcessor & | rule_processor | ) |

## set()

void BALL::RuleProcessor::set | ( | const RuleProcessor & | rule_processor | ) |

## start()

virtual bool BALL::RuleProcessor::start | ( |  | ) |

virtual

start method

Reimplemented from BALL::UnaryProcessor< Atom >.

## Member Data Documentation

## evaluator_

RuleEvaluator BALL::RuleProcessor::evaluator_

protected

Definition at line 116 of file ruleProcessor.h.

## valid_

bool BALL::RuleProcessor::valid_

protected

Definition at line 119 of file ruleProcessor.h.